<?php

namespace App\Service\Weixin;

use App\Service\Service;
use Illuminate\Support\Facades\Redis;

class WeixinService extends Service
{
    const APPID = '';
    const APPSECRET = '';
    const ACCESS_URL = 'https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=%s&secret=%s';
    const OPENID = '';
    const TOKEN = '';
    const KEY = 'weixingzy';

    public function getToken(){
        $token_key = self::KEY.'_'.'token';
        $token = Redis::get($token_key);
        if(! $token){
            $url = sprintf(self::ACCESS_URL,self::APPID,self::APPSECRET);
            $res = $this->curlOpen($url);
            $res = json_decode($res,true);
            if(isset($res['errmsg'])) return [false,$res['errmsg']];
            if(!isset($res['access_token'])) return [false,'request error'];
            $token = $res['access_token'];
            $expire_time = $res['expires_in']-300;
            Redis::set($token_key,$token);
            Redis::expire($token_key, $expire_time);
            return [true,$token];
        }
        return [true,$token];
    }

    public function getOpenid($data){
        if(empty($data['code'])) return [false, 'code不能为空'];
        $code = $data['code'];
        $url = 'https://api.weixin.qq.com/sns/oauth2/access_token?appid=%s&secret=%s&code=%s&grant_type=authorization_code';
        $url = sprintf($url,self::APPID,self::APPSECRET,$code);
        $res = $this->curlOpen($url);
        $res = json_decode($res,true);
        if(!isset($res['openid'])) return [false,$res['errmsg']??'request error'];
        $openid = $res['openid'];
        return [true,['openid' => $openid]];
    }

    public function setWebHook($data){
        $uri = isset($data['uri']) ? $data['uri'] : '';
        $url = "https://open.weixin.qq.com/connect/oauth2/authorize?appid=%s&redirect_uri=%s&response_type=code&scope=snsapi_userinfo&state=STATE#wechat_redirect";
        $param = isset($data['param']) ? $data['param'] : '';
        $redirect_uri = urlencode('https://t9api.qingyaokeji.com/wxapi/getUnionid?uri='.$uri.'&param='.$param);
        $url = sprintf($url,self::APPID,$redirect_uri);
        header("Location:".$url);exit;
        echo 'ok';die;
    }

    public function getUnionid($data){
        if(isset($data['code'])) {
            list($status,$openid) = $this->getOpenid($data);
            if(!$status) return [false,$openid];
            $uri = $data['uri'];
            $openid = $openid['openid'];
            $param = isset($data['param']) ? $data['param'] : '';
            $url = 'https://t9.qingyaokeji.com/#/wxGet?uri='.$uri.'&openid='.$openid.'&param='.$param;
            header('Location:'.$url);exit();
        }
    }
}
