<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::any('login', 'Api\LoginController@login');
//站点获取
Route::any('getSite', 'Api\JRFIDController@getSite');
Route::any('getPrintData', 'Api\JRFIDController@getPrintData');
Route::any('getSepOrderDtData', 'Api\JRFIDController@getPrintData2');
Route::any('screenPrint', 'Api\JRFIDController@screenPrint');
Route::any('screenPrintSepData', 'Api\JRFIDController@screenPrintSepData');
Route::any('pdfLogo', 'Api\ThirdController@pdfLogo');
Route::any('pdfData', 'Api\ThirdController@pdfData');

Route::any('testdwy','Api\TestController@testdwy');
Route::any('testdwyget','Api\TestController@testdwyget');
Route::any('testdwyput','Api\TestController@testdwyput');
Route::any('getFileData','Api\ImportController@getFileData');

Route::group(['middleware'=> ['CheckJRFIDLogin']],function ($route){
    //站点获取登录后
    $route->any('getSiteByLogin', 'Api\JRFIDController@getSite2');
    //工艺流程单
    $route->any('getFlowByProduce', 'Api\JRFIDController@getFlowByProduce');
    //生产订单
    $route->any('getProduceByContract', 'Api\JRFIDController@getProduceByContract');
    //获取班组
    $route->any('getTeam', 'Api\JRFIDController@getTeam');
    //获取部门
    $route->any('getDepart', 'Api\JRFIDController@getDepart');
    //获取工序分类
    $route->any('getProcedureClass', 'Api\JRFIDController@getProcedureClass');
    //生产进度报表
    $route->any('furnProduceScheduleList', 'Api\JRFIDController@furnProduceScheduleList');
    //完工
    $route->any('completionOrders', 'Api\JRFIDController@completionOrders');
    //扫码完工
    $route->any('scanScreenCompleted', 'Api\JRFIDController@scanScreenCompleted');
    //（根据芯片id、type、合同号、图号、工序查询派工单及其详情数据）
    $route->any('screenGetDispatchDtData', 'Api\JRFIDController@screenGetDispatchDtData');
    //质检
    $route->any('qualityOrders', 'Api\JRFIDController@qualityOrders');
    //（查询合同号、图号、房间号）
    $route->any('getContractDrawRoom', 'Api\JRFIDController@getContractDrawRoom');
    // 批量派工单—查询合同编号，图号，房间号、工序
    $route->any('getDispatchContractDrawRoom', 'Api\JRFIDController@getDispatchContractDrawRoom');
    //(根据合同号、图号、房间号查询工艺流程单数据)
    $route->any('screenGetProFlow', 'Api\JRFIDController@screenGetProFlow');
    //收发货
    $route->any('screenSend', 'Api\JRFIDController@screenSend');
    //工位屏-保存收货单
    $route->any('screenReceipt', 'Api\JRFIDController@screenReceipt');
    //包装
    $route->any('screenPackage', 'Api\JRFIDController@screenPackage');
    //(根据合同号、图号、房间号查询包装单数据)
    $route->any('screenGetPackageData', 'Api\JRFIDController@screenGetPackageData');
    //(查询工艺流程单详情信息)
    $route->any('screenGetProDtData', 'Api\JRFIDController@screenGetProDtData');
    //根据组件id、type和合同号查询工艺流程单详情数据
    $route->any('screenGetPackageAssem', 'Api\JRFIDController@screenGetPackageAssem');
    //拆单详情组件查询
    $route->any('furnSeparateOrderDtAssemList', 'Api\JRFIDController@furnSeparateOrderDtAssemList');
    //包装—拆单详情组件
    $route->any('screenPackageBySepAssem', 'Api\JRFIDController@screenPackageBySepAssem');
    //工位屏-根据芯片查询包装单组件数据
    $route->any('screenGetPackageAssemData', 'Api\JRFIDController@screenGetPackageAssemData');
    //发货单查询列表
    $route->any('sendAndReceiptList', 'Api\JRFIDController@sendAndReceiptList');
    //发货单详情组件列表
    $route->any('sendOrderDtAssemList', 'Api\JRFIDController@sendOrderDtAssemList');
    //包装单列表
    $route->any('packageList', 'Api\JRFIDController@packageList');
    //没有查询到的派工单详情数据自动生成
    $route->any('screenAutoCreateDispatch', 'Api\JRFIDController@screenAutoCreateDispatch');
    //根据芯片id查找拆单相关数据
    $route->any('screenGetSepData', 'Api\JRFIDController@screenGetSepData');
    //拆单产品、组件、部件查询列表
    $route->any('furnSeparateOrderCompList', 'Api\JRFIDController@furnSeparateOrderCompList');
    //拆单详情产品、组件、部件查询列表
    $route->any('furnSeparateOrderDtCompList', 'Api\JRFIDController@furnSeparateOrderDtCompList');
    //查询车间数据(合同号、区域、房号、图号、组件、部件)
    $route->any('getWorkshopData', 'Api\JRFIDController@getWorkshopData');
    //查询发货数据(合同号、发货单号、房号、图号、组件、部件)
    $route->any('screenGetSendData', 'Api\JRFIDController@screenGetSendData');
    //发货单详情部件列表
    $route->any('furnSendOrderDtCompList', 'Api\JRFIDController@furnSendOrderDtCompList');
});
